Bug 56421 - Linux crashes when u make insmod shaper; ip link list; rmmod shaper; ip link list
Linux crashes when u make insmod shaper; ip link list; rmmod shaper; ip link ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-17 08:11 EST by Deian Chepishev
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 18:29:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix it (291 bytes, patch)
2001-11-21 03:53 EST, Arjan van de Ven
no flags Details | Diff

  None (edit)
Description Deian Chepishev 2001-11-17 08:11:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
When i make ip li li, everything os fine. After insmod shaper. After ip li 
li i see the new device shaper0. after rmmod shaper and sfter ip li li and 
i see a lot of debug info and after segmentation fault. ip li li again and 
nothing happens the command do not ecit. Hit Ctrl+c and try to reboot. A 
lot of debug info on the screen and Linux is unable to reboot. This 
happens with default kernel from RH7.2 and with kernel 2.4.14 too. 
Packages on the system are default pakages shiped wuth distribution



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Compile kernel with module shaper.
2.Do insmod shaper
3.execute ip link list
4. Do rmmod shaper
5. again ip link list and you will see the results
6.again ip link list  - nothing happens. Hit Ctrl+C
7. Do reboot  - the system is unable to reboot
	

Actual Results:  here is complete log from console:

[root@psycho root]# ip li li
1: lo: <LOOPBACK,UP> mtu 16436 qdisc noqueue
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
2: eth0: <BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast qlen 100
    link/ether 00:c0:26:a1:7c:5f brd ff:ff:ff:ff:ff:ff
[root@psycho root]# insmod shaper
Using /lib/modules/2.4.14/kernel/drivers/net/shaper.o
[root@psycho root]# ip li li
1: lo: <LOOPBACK,UP> mtu 16436 qdisc noqueue
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
2: eth0: <BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast qlen 100
    link/ether 00:c0:26:a1:7c:5f brd ff:ff:ff:ff:ff:ff
3: shaper0: <> mtu 1500 qdisc noop qlen 10
    link/ether

[root@psycho root]# rmmod shaper
[root@psycho root]# ip li li
Unable to handle kernel paging request at virtual address ca823510
*pde = 09f5a067
*pte = 00000000
Oops: 0000
CPU:    0
EIP:    0010:[<ca823510>]    Not tainted
EFLAGS: 00010282
eax: ca823510   ebx: c99f9c00   ecx: 00000000   edx: 0000000c
esi: c9f596c0   edi: c021f56d   ebp: 00000000   esp: c8d41c94
ds: 0018   es: 0018   ss: 0018
Process ip (pid: 638, stackpage=c8d41000)
Stack: c01aee8a c99f9c00 c021f5a0 c9b6f170 000005dc c99f9c00 00000002 
c9f61ea0
       c9f596c0 c01aef75 c9f596c0 c99f9c00 00000010 0000027e 3bf65c32 
00000000
       00000000 c9f596c0 c9f59800 c9f61ea0 c981e6e0 c01dea95 c9f596c0 
c9f61ea0
Call Trace: [<c01aee8a>] [<c01aef75>] [<c01dea95>] [<c01dec79>] 
[<c01af296>]
   [<c01aef30>] [<c01af0c0>] [<c0155751>] [<c0155d29>] [<c01de93a>] 
[<c01de3ac>]
   [<c01de7d0>] [<c01a457c>] [<c012826f>] [<c01a40d2>] [<c01a5330>] 
[<c010feea>]
   [<c01a4d67>] [<c01a5b2b>] [<c0106ceb>]

Code:  Bad EIP value.
 Segmentation fault
[root@psycho root]# ip li li

I hit Ctrl+C here
[root@psycho root]# reboot

The system prints a lot of Info and hangs


Additional info:

[root@psycho root]# ip li li
1: lo: <LOOPBACK,UP> mtu 16436 qdisc noqueue
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
2: eth0: <BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast qlen 100
    link/ether 00:c0:26:a1:7c:5f brd ff:ff:ff:ff:ff:ff
[root@psycho root]# insmod shaper
Using /lib/modules/2.4.14/kernel/drivers/net/shaper.o
[root@psycho root]# ip li li
1: lo: <LOOPBACK,UP> mtu 16436 qdisc noqueue
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
2: eth0: <BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast qlen 100
    link/ether 00:c0:26:a1:7c:5f brd ff:ff:ff:ff:ff:ff
3: shaper0: <> mtu 1500 qdisc noop qlen 10
    link/ether

[root@psycho root]# rmmod shaper
[root@psycho root]# ip li li
Unable to handle kernel paging request at virtual address ca823510
*pde = 09f5a067
*pte = 00000000
Oops: 0000
CPU:    0
EIP:    0010:[<ca823510>]    Not tainted
EFLAGS: 00010282
eax: ca823510   ebx: c99f9c00   ecx: 00000000   edx: 0000000c
esi: c9f596c0   edi: c021f56d   ebp: 00000000   esp: c8d41c94
ds: 0018   es: 0018   ss: 0018
Process ip (pid: 638, stackpage=c8d41000)
Stack: c01aee8a c99f9c00 c021f5a0 c9b6f170 000005dc c99f9c00 00000002 
c9f61ea0
       c9f596c0 c01aef75 c9f596c0 c99f9c00 00000010 0000027e 3bf65c32 
00000000
       00000000 c9f596c0 c9f59800 c9f61ea0 c981e6e0 c01dea95 c9f596c0 
c9f61ea0
Call Trace: [<c01aee8a>] [<c01aef75>] [<c01dea95>] [<c01dec79>] 
[<c01af296>]
   [<c01aef30>] [<c01af0c0>] [<c0155751>] [<c0155d29>] [<c01de93a>] 
[<c01de3ac>]
   [<c01de7d0>] [<c01a457c>] [<c012826f>] [<c01a40d2>] [<c01a5330>] 
[<c010feea>]
   [<c01a4d67>] [<c01a5b2b>] [<c0106ceb>]

Code:  Bad EIP value.
 Segmentation fault
[root@psycho root]# ip li li
Comment 1 Arjan van de Ven 2001-11-21 03:52:45 EST
Dave made a patch that fixes it. I'll attach it. Can you try it and verify it
fixes your problem ?
Comment 2 Arjan van de Ven 2001-11-21 03:53:12 EST
Created attachment 38223 [details]
patch to fix it

Note You need to log in before you can comment on or make changes to this bug.